WIPEFS(8)

NAZWA
wipefs - usuwa sygnaturę z urządzenia

SKŁADNIA

wipefs [opcje] urządzenie...

wipefs [--backup] -o przesunięcie urządzenie...

wipefs [--backup] -a urządzenie...

OPIS

wipefs może usuwać sygnatury (łańcuchy magiczne): systemu plików, macierzy raid lub tablicy partycji z podanego urządzenia, aby stały się one niewidoczne dla libblkid. wipefs nie usuwa samego systemu plików ani żadnych innych danych z urządzenia.

Bez podania opcji, wipefs wyświetli wszystkie widoczne systemy plików oraz przesunięcia ich podstawowych sygnatur. Domyślne wyjście programu może się zmienić. lists all visible filesystems and the offsets of their basic signatures. Domyślne wyjście programu może się zmienić. Jeśli to możliwe, należy zatem unikać używania domyślnego wyjścia w swoich skryptach. Proszę zawsze jawnie definiować oczekiwane kolumny za pomocą opcji --output lista-kolumn w środowiskach, gdzie wymagane jest stabilne wyjście.

wipefs wywołuje ioctl BLKRRPART po usunięciu sygnatury tablicy partycji, aby poinformować jądro o zmianie. To ioctl jest wywoływane w ostatnim kroku, gdy wszystkie podane sygnatury ze wszystkich zadanych urządzeń zostały już usunięte. Funkcja ta może służyć usunięciu sygnatur na urządzeniach partycji oraz w tablicy partycji urządzenia dyskowego np. poleceniem wipefs -a /dev/sdc1 /dev/sdc2 /dev/sdc.

Proszę zauważyć, że niektóre systemy plików oraz niektóre tablice partycji przechowują na urządzeniu większą liczbę łańcuchów magicznych (np. FAT, ZFS, GPT). Polecenie wipefs (od v2.31) wypisze wszystkie przesunięcia, na których wykryto łańcuchy magiczne.

Opcja -a powoduje usunięcie wszystkich łańcuchów magicznych widocznych dla libblkid(3). W takim przypadku wipefs zeskanuje urządzenie ponownie po każdej modyfikacji (usunięciu), aż do momentu, gdy nie pozostaną żadne łańcuchy magiczne.

Proszę zauważyć, że wipefs nie usuwa domyślnie zagnieżdżonych tablic partycji na urządzeniach nie zajmujących całego dysku. W takim przypadku konieczne jest podanie opcji --force.

OPCJE

-a, --all
    Usuwa wszystkie dostępne sygnatury. Zbiór usuwanych sygnatur można ograniczyć opcją -t. Przy działaniu na spartycjonowanym urządzeniu całego dysku, takim jak /dev/sdX, usunie tylko tablice partycji, a nie zawartość partycji.

-b, --backup[=katalog]
    Tworzy kopię zapasową sygnatury w pliku wipefs-<nazwa-urządzenia>-<przesunięcie>.bak w $HOME lub w katalogu podanym jako argument opcjonalny. Więcej szczegółów w rozdziale PRZYKŁAD.

-f, --force
    Wymusza usunięcie, nawet zamontowanego systemu plików. Opcja wymagana, aby usunąć sygnaturę tablicy partycji na urządzeniu blokowym.

-J, --json
    Używa formatu wyjściowego JSON.

--lock[=tryb]
    Używa blokady na wyłączność BSD do urządzeń i plików na których działa. Opcjonalnym argumentem tryb może być yes, no (albo 1 lub 0) lub też nonblock. Jeśli nie poda się trybu, domyślną wartością jest "yes". Opcja ta przesłania zmienną środowiskową $LOCK_BLOCK_DEVICE. Choć domyślnie nie jest używana żadna blokada, zaleca się jej użycie aby uniknąć kolizji z udevd i innymi narzędziami.

-i, --noheadings
    Nie wypisuje nagłówka.

-O, --output lista
    Określa wypisywane kolumny. Ich listę można poznać podając opcję --help.

-n, --no-act
    Powoduje wykonanie wszystkiego poza wywołaniem write(2).

-o, --offset przesunięcie
    Określa położenie (w bajtach) sygnatury, która powinna być usunięta z urządzenia. Przesunięcie może zawierać przedrostek "0x"; liczba zostanie wówczas zinterpretowana jako wartość szesnastkowa. Można podać opcję -o wielokrotnie.

    Po argumencie przesunięcie może wystąpić przyrostek oznaczający wielokrotność: KiB (=1024), MiB (=1024*1024) itd. dla GiB, TiB, PiB, EiB, ZiB i YiB ("iB" jest opcjonalne, np. "K" ma takie samo znaczenie jak "KiB") lub przyrostek KB (=1000), MB (=1000*1000) itd. dla GB, TB, PB, EB, ZB i YB.

-p, --parsable
    Wypisuje w formacie nadającym się do przetwarzania, zamiast do druku. Wszystkie potencjalnie niebezpieczne znaki w łańcuchach do odpowiadającej im wartości szesnastkowej poprzedzonej przez "\x".

-q, --quiet
    Pomija wypisywanie komunikatów po pomyślnym usunięciu sygnatury.

-t, --types lista
    Ogranicza zbiór wypisywanych lub usuwanych sygnatur. Można podać kilka typów, rozdzielając je przecinkiem. Listę lub pojedyncze typy można poprzedzić przedrostkiem "no" oznaczającym typy, dla których ma nie zostać wykonana żadna akcja. Więcej szczegółów w podręczniku mount(8).

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

ŚRODOWISKO

LIBBLKID_DEBUG=all
    włącza wyjście debugowania libblkid(3).

LOCK_BLOCK_DEVICE=<tryb>
    używa blokady na wyłączność BSD. Tryb to "1" lub "0". Więcej informacji w opisie opcji --lock.

PRZYKŁADY

wipefs /dev/sda*
    Wypisuje informacje o sda i wszystkich partycjach na sda.

wipefs --all --backup /dev/sdb
    Usuwa wszystkie sygnatury z urządzenia /dev/sdb i dla każdej sygnatury tworzy kopię zapasową w pliku ~/wipefs-sdb-<przesunięcie>.bak.

dd if=~/wipefs-sdb-0x00000438.bak of=/dev/sdb seek=$((0x00000438)) bs=1 conv=notrunc
    Przywraca sygnaturę ext2 z pliku kopii zapasowej ~/wipefs-sdb-0x00000438.bak.

AUTORZY

ZOBACZ TAKŻE

blkid(8), findfs(8)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie wipefs jest częścią pakietu util-linux, który można pobrać ze strony